# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'c:\workspace\QT_designer\lidar_gui\main\qt_lidar_gui.ui'
#
# Created by: PyQt5 UI code generator 5.15.9
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.setWindowModality(QtCore.Qt.NonModal)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(MainWindow.sizePolicy().hasHeightForWidth())
        MainWindow.setSizePolicy(sizePolicy)
        MainWindow.setMinimumSize(QtCore.QSize(1000, 700))
        MainWindow.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
        MainWindow.setAutoFillBackground(True)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.tabWidget = QtWidgets.QTabWidget(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tabWidget.sizePolicy().hasHeightForWidth())
        self.tabWidget.setSizePolicy(sizePolicy)
        self.tabWidget.setAutoFillBackground(True)
        self.tabWidget.setObjectName("tabWidget")
        self.tab = QtWidgets.QWidget()
        self.tab.setObjectName("tab")
        self.gridLayout = QtWidgets.QGridLayout(self.tab)
        self.gridLayout.setObjectName("gridLayout")
        self.LidarTable = QtWidgets.QTableWidget(self.tab)
        self.LidarTable.setObjectName("LidarTable")
        self.LidarTable.setColumnCount(0)
        self.LidarTable.setRowCount(0)
        self.gridLayout.addWidget(self.LidarTable, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tab, "")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.tabWidget.addTab(self.tab_2, "")
        self.tab_3 = QtWidgets.QWidget()
        self.tab_3.setObjectName("tab_3")
        self.send_serial_b = QtWidgets.QPushButton(self.tab_3)
        self.send_serial_b.setGeometry(QtCore.QRect(150, 50, 75, 23))
        self.send_serial_b.setObjectName("send_serial_b")
        self.com_list = QtWidgets.QComboBox(self.tab_3)
        self.com_list.setGeometry(QtCore.QRect(11, 20, 69, 20))
        self.com_list.setObjectName("com_list")
        self.CLOSE_serial_b = QtWidgets.QPushButton(self.tab_3)
        self.CLOSE_serial_b.setGeometry(QtCore.QRect(167, 19, 75, 23))
        self.CLOSE_serial_b.setObjectName("CLOSE_serial_b")
        self.clear_graph_b = QtWidgets.QPushButton(self.tab_3)
        self.clear_graph_b.setGeometry(QtCore.QRect(9, 81, 77, 23))
        self.clear_graph_b.setObjectName("clear_graph_b")
        self.textToSerial = QtWidgets.QLineEdit(self.tab_3)
        self.textToSerial.setGeometry(QtCore.QRect(11, 51, 133, 20))
        self.textToSerial.setObjectName("textToSerial")
        self.OPEN_serial_b = QtWidgets.QPushButton(self.tab_3)
        self.OPEN_serial_b.setGeometry(QtCore.QRect(86, 19, 75, 23))
        self.OPEN_serial_b.setObjectName("OPEN_serial_b")
        self.enc_tof_lcd = QtWidgets.QLCDNumber(self.tab_3)
        self.enc_tof_lcd.setGeometry(QtCore.QRect(190, 360, 91, 31))
        font = QtGui.QFont()
        font.setPointSize(14)
        self.enc_tof_lcd.setFont(font)
        self.enc_tof_lcd.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.enc_tof_lcd.setAutoFillBackground(False)
        self.enc_tof_lcd.setSmallDecimalPoint(True)
        self.enc_tof_lcd.setDigitCount(5)
        self.enc_tof_lcd.setSegmentStyle(QtWidgets.QLCDNumber.Flat)
        self.enc_tof_lcd.setObjectName("enc_tof_lcd")
        self.label_2 = QtWidgets.QLabel(self.tab_3)
        self.label_2.setGeometry(QtCore.QRect(140, 250, 55, 35))
        font = QtGui.QFont()
        font.setPointSize(22)
        self.label_2.setFont(font)
        self.label_2.setObjectName("label_2")
        self.label_5 = QtWidgets.QLabel(self.tab_3)
        self.label_5.setGeometry(QtCore.QRect(280, 210, 61, 35))
        font = QtGui.QFont()
        font.setPointSize(22)
        self.label_5.setFont(font)
        self.label_5.setObjectName("label_5")
        self.enc_speed_rps_lcd = QtWidgets.QLCDNumber(self.tab_3)
        self.enc_speed_rps_lcd.setGeometry(QtCore.QRect(340, 210, 61, 31))
        font = QtGui.QFont()
        font.setPointSize(14)
        self.enc_speed_rps_lcd.setFont(font)
        self.enc_speed_rps_lcd.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.enc_speed_rps_lcd.setAutoFillBackground(False)
        self.enc_speed_rps_lcd.setDigitCount(4)
        self.enc_speed_rps_lcd.setSegmentStyle(QtWidgets.QLCDNumber.Flat)
        self.enc_speed_rps_lcd.setObjectName("enc_speed_rps_lcd")
        self.enc_rpm_lcd = QtWidgets.QLCDNumber(self.tab_3)
        self.enc_rpm_lcd.setGeometry(QtCore.QRect(210, 290, 51, 31))
        font = QtGui.QFont()
        font.setPointSize(14)
        self.enc_rpm_lcd.setFont(font)
        self.enc_rpm_lcd.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.enc_rpm_lcd.setAutoFillBackground(False)
        self.enc_rpm_lcd.setDigitCount(3)
        self.enc_rpm_lcd.setSegmentStyle(QtWidgets.QLCDNumber.Flat)
        self.enc_rpm_lcd.setObjectName("enc_rpm_lcd")
        self.label_4 = QtWidgets.QLabel(self.tab_3)
        self.label_4.setGeometry(QtCore.QRect(170, 110, 51, 21))
        font = QtGui.QFont()
        font.setPointSize(10)
        self.label_4.setFont(font)
        self.label_4.setObjectName("label_4")
        self.enc_speed_set_slider = QtWidgets.QSlider(self.tab_3)
        self.enc_speed_set_slider.setGeometry(QtCore.QRect(140, 100, 22, 84))
        self.enc_speed_set_slider.setMaximum(3000)
        self.enc_speed_set_slider.setOrientation(QtCore.Qt.Vertical)
        self.enc_speed_set_slider.setObjectName("enc_speed_set_slider")
        self.req_speed_rpm_lcd = QtWidgets.QLCDNumber(self.tab_3)
        self.req_speed_rpm_lcd.setGeometry(QtCore.QRect(170, 140, 61, 41))
        font = QtGui.QFont()
        font.setPointSize(14)
        self.req_speed_rpm_lcd.setFont(font)
        self.req_speed_rpm_lcd.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.req_speed_rpm_lcd.setAutoFillBackground(False)
        self.req_speed_rpm_lcd.setDigitCount(4)
        self.req_speed_rpm_lcd.setSegmentStyle(QtWidgets.QLCDNumber.Flat)
        self.req_speed_rpm_lcd.setObjectName("req_speed_rpm_lcd")
        self.label_3 = QtWidgets.QLabel(self.tab_3)
        self.label_3.setGeometry(QtCore.QRect(140, 210, 61, 35))
        font = QtGui.QFont()
        font.setPointSize(22)
        self.label_3.setFont(font)
        self.label_3.setObjectName("label_3")
        self.label_6 = QtWidgets.QLabel(self.tab_3)
        self.label_6.setGeometry(QtCore.QRect(120, 360, 56, 35))
        font = QtGui.QFont()
        font.setPointSize(22)
        self.label_6.setFont(font)
        self.label_6.setObjectName("label_6")
        self.setRPM_b = QtWidgets.QPushButton(self.tab_3)
        self.setRPM_b.setGeometry(QtCore.QRect(260, 130, 75, 23))
        self.setRPM_b.setObjectName("setRPM_b")
        self.enc_speed_lcd = QtWidgets.QLCDNumber(self.tab_3)
        self.enc_speed_lcd.setGeometry(QtCore.QRect(210, 210, 61, 31))
        font = QtGui.QFont()
        font.setPointSize(14)
        self.enc_speed_lcd.setFont(font)
        self.enc_speed_lcd.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.enc_speed_lcd.setAutoFillBackground(False)
        self.enc_speed_lcd.setDigitCount(4)
        self.enc_speed_lcd.setSegmentStyle(QtWidgets.QLCDNumber.Flat)
        self.enc_speed_lcd.setObjectName("enc_speed_lcd")
        self.enc_deg_lcd = QtWidgets.QLCDNumber(self.tab_3)
        self.enc_deg_lcd.setGeometry(QtCore.QRect(210, 250, 51, 31))
        font = QtGui.QFont()
        font.setPointSize(14)
        self.enc_deg_lcd.setFont(font)
        self.enc_deg_lcd.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.enc_deg_lcd.setAutoFillBackground(False)
        self.enc_deg_lcd.setDigitCount(3)
        self.enc_deg_lcd.setSegmentStyle(QtWidgets.QLCDNumber.Flat)
        self.enc_deg_lcd.setObjectName("enc_deg_lcd")
        self.label = QtWidgets.QLabel(self.tab_3)
        self.label.setGeometry(QtCore.QRect(140, 290, 56, 35))
        font = QtGui.QFont()
        font.setPointSize(22)
        self.label.setFont(font)
        self.label.setObjectName("label")
        self.graph = PlotWidget(self.tab_3)
        self.graph.setGeometry(QtCore.QRect(410, 40, 551, 581))
        self.graph.setObjectName("graph")
        self.enc_pos_dial = QtWidgets.QDial(self.tab_3)
        self.enc_pos_dial.setEnabled(False)
        self.enc_pos_dial.setGeometry(QtCore.QRect(10, 270, 100, 100))
        palette = QtGui.QPalette()
        brush = QtGui.QBrush(QtGui.QColor(0, 85, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 85, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 85, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Button, brush)
        self.enc_pos_dial.setPalette(palette)
        self.enc_pos_dial.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.enc_pos_dial.setAutoFillBackground(True)
        self.enc_pos_dial.setMaximum(360)
        self.enc_pos_dial.setPageStep(1)
        self.enc_pos_dial.setSliderPosition(70)
        self.enc_pos_dial.setTracking(True)
        self.enc_pos_dial.setOrientation(QtCore.Qt.Horizontal)
        self.enc_pos_dial.setInvertedAppearance(True)
        self.enc_pos_dial.setInvertedControls(False)
        self.enc_pos_dial.setObjectName("enc_pos_dial")
        self.tabWidget.addTab(self.tab_3, "")
        self.gridLayout_2.addWidget(self.tabWidget, 0, 0, 1, 1)
        MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)
        self.tabWidget.setCurrentIndex(2)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), _translate("MainWindow", "Tab 1"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_2), _translate("MainWindow", "Tab 2"))
        self.send_serial_b.setText(_translate("MainWindow", "SEND"))
        self.CLOSE_serial_b.setText(_translate("MainWindow", "CLOSE"))
        self.clear_graph_b.setText(_translate("MainWindow", "CLEAR GRAPH"))
        self.OPEN_serial_b.setText(_translate("MainWindow", "OPEN"))
        self.label_2.setText(_translate("MainWindow", "DEG"))
        self.label_5.setText(_translate("MainWindow", "RPS"))
        self.label_4.setText(_translate("MainWindow", "req RPM"))
        self.label_3.setText(_translate("MainWindow", "RPM"))
        self.label_6.setText(_translate("MainWindow", "TOF"))
        self.setRPM_b.setText(_translate("MainWindow", "SET RPM"))
        self.label.setText(_translate("MainWindow", "RPM"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_3), _translate("MainWindow", "Page"))
from pyqtgraph import PlotWidget
